Subject: bug#48811: closed (Re: bug#48811: R 4.1.0 does not build)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Jun 2021 06:42:02 +0000

Your bug report

#48811: R 4.1.0 does not build

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48811: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48811
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48811: R 4.1.0 does not build
From: zimoun <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 14 Jun 2021 08:38:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Sun, 13 Jun 2021 at 09:26, [email-masked] wrote:
> It builds fine now, so this fluke will remain a mystery. I don't know
> the way to check what revision of Guix I was on at the time. All the
> best! 

The command “guix pull --list-generations” gives all the versions you
used.  Except if you explicitly removed some.

Thanks, so closing.

All the best,
simon

Subject: R 4.1.0 does not build
From: [email-masked]
To: [email-masked]
Date: Thu, 03 Jun 2021 09:58:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Running ~guix build r-minimal~ fails with the following messages. Sounds like it cannot find the
style file plain.bst and some math fonts; maybe upstream changed the dependencies. Or I read it
wrong and it's some other error from the make target "vignettes-no-lattice".

Let me know if it works for you and the issue's on my end.

#+begin_example
building/updating vignettes for package 'grid' ...
processing 'grid.Rnw'
Error: compiling TeX file 'grid.tex' failed with message:
Running 'texi2dvi' on 'grid.tex' failed.
BibTeX errors:
The top-level auxiliary file: grid.aux
I couldn't open style file plain.bst
---line 33 of file grid.aux
: \bibstyle{plain
: }
I'm skipping whatever remains of this command
I found no style file---while reading file grid.aux
Execution halted
building/updating vignettes for package 'parallel' ...
building/updating vignettes for package 'utils' ...
building/updating vignettes for package 'stats' ...
processing 'reshape.Rnw'
Error: compiling TeX file 'reshape.tex' failed with message:
Running 'texi2dvi' on 'reshape.tex' failed.
LaTeX errors:
! Math formula deleted: Insufficient symbol fonts.
\endtabular ->\crcr \egroup \egroup $
\egroup
l.22 \maketitle

Execution halted
make[1]: *** [Makefile:120: vignettes-no-lattice] Error 1
make[1]: Leaving directory '/tmp/guix-build-r-minimal-4.1.0.drv-0/R-4.1.0/src/library'
make: *** [Makefile:81: vignettes] Error 2
command "make" "-j" "4"
"LDFLAGS=-Wl,-rpath=/gnu/store/qsqgl8d8cn9v55z085jlpxarbf1zss8i-r-minimal-4.1.0/lib/R/lib"
"PKG_BUILT_STAMP=1970-01-01" failed with status 2
#+end_example

--
Martin Edström